SpacePadder (SLF4J 1.7.25 API)
Date: 2017-03-16

org.slf4j.profiler

## Class SpacePadder

- java.lang.Object
- - org.slf4j.profiler.SpacePadder

-     public class SpacePadder
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `LINE_SEP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpacePadder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `leftPad(StringBuffer buf, String s, int desiredLength)` Deprecated.
    `static void` | `leftPad(StringBuilder buf, String s, int desiredLength)`
    `static void` | `rightPad(StringBuffer buf, String s, int desiredLength)` Deprecated.
    `static void` | `rightPad(StringBuilder buf, String s, int desiredLength)`
    `static void` | `spacePad(StringBuffer sbuf, int length)` Deprecated.
    `static void` | `spacePad(StringBuilder sbuf, int length)` Fast space padding method.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LINE_SEP

          public static final String LINE_SEP

  - ### Constructor Detail

    - #### SpacePadder

          public SpacePadder()

  - ### Method Detail

    - #### leftPad

          @Deprecated
          public static final void leftPad(StringBuffer buf,
                                String s,
                                int desiredLength)

      Deprecated.

    - #### leftPad

          public static final void leftPad(StringBuilder buf,
                     String s,
                     int desiredLength)

    - #### rightPad

          @Deprecated
          public static final void rightPad(StringBuffer buf,
                                 String s,
                                 int desiredLength)

      Deprecated.

    - #### rightPad

          public static final void rightPad(StringBuilder buf,
                      String s,
                      int desiredLength)

    - #### spacePad

          @Deprecated
          public static final void spacePad(StringBuffer sbuf,
                                 int length)

      Deprecated.
      Fast space padding method.
      Parameters:
        `sbuf` - the buffer to pad
        `length` - the target size of the buffer after padding

    - #### spacePad

          public static final void spacePad(StringBuilder sbuf,
                      int length)

      Fast space padding method.
      Parameters:
        `sbuf` - the buffer to pad
        `length` - the target size of the buffer after padding

Copyright © 2005–2017 QOS.ch. All rights reserved.